#include <iostream>

using namespace std;

int main()
{
    string S, T;

    cin >> T;
    cin >> S;

    int M = S.size(), N = T.size(), izlazniBroj;

    //char slova[M] je zapravo samo S[i]
    int ponavljanje[M];

    int ms, me;
    char temp;
    for(int i = 0, j = 0; i < T.size(); i++){
        if(T[i] == S[j]){
            temp = S[j];

            j++;
            if(j == 1){
                ms = i;
            }
            if(j == M){
                int fa = 0;
                for(int k = i; k < T.size(); k++){
                    if(T[k] == S[j-1]){
                        fa++;
                    }
                    else{
                        k = T.size() + 1;
                    }
                }

                me = i + fa - 1;

                j = 0;

                char cseq[me - ms + 1];
                string sseq;
                for(int k = ms, brj = 0; k <= me + 1; k++){
                    cseq[brj] = T[k];
                    sseq += T[k];
                    brj++;
                }

                char zamena = sseq[0];
                int brojPuta = sseq.size();
                for(int k = 0; k < sseq.size(); k++){
                    char char_temp;
                    int int_temp = 0;

                    for(int l = 0; l < sseq.size(); l++){
                        if(sseq[k] == sseq[l]){
                            char_temp = sseq[k];
                            int_temp++;
                        }
                    }
                    if(int_temp < brojPuta){
                        zamena = char_temp;
                        brojPuta = int_temp;
                    }
                }
                izlazniBroj = brojPuta;

                for(int k = ms; k <= me + 1; k++){
                    if(T[k] == zamena){
                        T[k] = '*';
                    }
                }



            }
        }
        else if(T[i] == temp){

        }
        else{
            j = 0;
        }


    }


    cout << izlazniBroj << endl;
    cout << T << endl;

    return 0;
}